Name:		gzip
Summary:	The GNU data compression program
Version:	1.13
Release:	%mkrel 1
%(if [ ! -f %_sourcedir/%{name}-%{version}.tar.gz ]; then cd %_sourcedir/ && wget https://ftp.gnu.org/gnu/gzip/%{name}-%{version}.tar.gz; fi)
Source0:%{name}-%{version}.tar.gz
URL:		https://www.gnu.org/software/gzip/
License:	GPL
Group:		Archiving/Compression
BuildRequires:  texinfo
BuildRoot:	%defaultbuildroot
Requires(pre,preun): info-install
Requires:	mktemp less

%description
The gzip package contains the popular GNU gzip data compression
program. Gzipped files have a .gz extension.

Gzip should be installed on your Linux system, because it is a
very commonly used data compression program.

%prep
%setup -q

%build
export DEFS="-DNO_ASM"
export CPPFLAGS="-DHAVE_LSTAT"
%configure2_5x
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std

%__install -d %{buildroot}/bin

for i in gzip gunzip zcat; do
    mv -f %{buildroot}%{_bindir}/$i %{buildroot}/bin/$i
    ln -sf ../../bin/$i %{buildroot}%{_bindir}/$i
done

for i in zcmp zdiff zforce zgrep zmore znew ; do
	sed -e "s|%{buildroot}||g" < %{buildroot}%{_bindir}/$i > %{buildroot}%{_bindir}/.$i
	rm -f %{buildroot}%{_bindir}/$i
	mv %{buildroot}%{_bindir}/.$i %{buildroot}%{_bindir}/$i
	chmod 755 %{buildroot}%{_bindir}/$i
done

%__rm -f %{buildroot}%{_bindir}/uncompress

%__cat > %{buildroot}%{_bindir}/zless <<EOF
#!/bin/sh
export LESSOPEN="|lesspipe.sh %s"
less "\$@"
EOF
%__chmod 755 %{buildroot}%{_bindir}/zless

%preun
%_remove_install_info %{name}.info

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
/bin/*
%{_bindir}
%{_datadir}

%changelog
* Sun Aug 20 2023 tex - 1.13-1pclos2023
- new version

* Sat Sep 04 2021 tex - 1.11-1pclos2021
- new version

* Fri Aug 30 2019 tex - 1.10-2pclos2019
- rebuild against updates
